# Interface IFacetRequest

## Index

### Properties

- basePath
- currentValues
- delimitingCharacter
- facetId
- field
- filterByBasePath
- filterFacetCount
- freezeCurrentValues
- generateAutomaticRanges
- injectionDepth
- isFieldExpanded
- numberOfValues
- preventAutoSelect
- sortCriteria
- type

## Properties

### Optional basePath

basePath: string[]

- Defined in rest/Facet/FacetRequest.ts :207

### Optional currentValues

currentValues: IFacetRequestValue[]

- Defined in rest/Facet/FacetRequest.ts :161

### Optional delimitingCharacter

delimitingCharacter: string

- Defined in rest/Facet/FacetRequest.ts :193

### facetId

facetId: string

- Defined in rest/Facet/FacetRequest.ts :80

### field

field: string

- Defined in rest/Facet/FacetRequest.ts :90

### Optional filterByBasePath

filterByBasePath: boolean

- Defined in rest/Facet/FacetRequest.ts :216

### Optional filterFacetCount

filterFacetCount: boolean

- Defined in rest/Facet/FacetRequest.ts :200

### Optional freezeCurrentValues

freezeCurrentValues: boolean

- Defined in rest/Facet/FacetRequest.ts :151

### Optional generateAutomaticRanges

generateAutomaticRanges: boolean

- Defined in rest/Facet/FacetRequest.ts :182

### Optional injectionDepth

injectionDepth: number

- Defined in rest/Facet/FacetRequest.ts :137

### Optional isFieldExpanded

isFieldExpanded: boolean

- Defined in rest/Facet/FacetRequest.ts :169

### Optional numberOfValues

numberOfValues: number

- Defined in rest/Facet/FacetRequest.ts :127

### Optional preventAutoSelect

preventAutoSelect: boolean

- Defined in rest/Facet/FacetRequest.ts :223

### Optional sortCriteria

sortCriteria: FacetSortCriteria | FacetRangeSortOrder

- Defined in rest/Facet/FacetRequest.ts :115

### Optional type

type: FacetType

- Defined in rest/Facet/FacetRequest.ts :97

### Hierarchy

- IFacetRequest